# Module `aioimmich.server.models`

aioimmich server models.

## Classes

`class ByUserUsage (photos: int,
quota_size_in_bytes: int | None,
usage: int,
usage_photos: int,
usage_videos: int,
user_id: str,
user_name: str,
videos: int)`
  Expand source code

      @dataclass
      class ByUserUsage(DataClassJSONMixin):
          """Usage by user."""

          photos: int
          quota_size_in_bytes: int | None = field(
              metadata=field_options(alias="quotaSizeInBytes")
          )
          usage: int
          usage_photos: int = field(metadata=field_options(alias="usagePhotos"))
          usage_videos: int = field(metadata=field_options(alias="usageVideos"))
          user_id: str = field(metadata=field_options(alias="userId"))
          user_name: str = field(metadata=field_options(alias="userName"))
          videos: int

  Usage by user.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var photos : int`
  `var quota_size_in_bytes : int | None`
  `var usage : int`
  `var usage_photos : int`
  `var usage_videos : int`
  `var user_id : str`
  `var user_name : str`
  `var videos : int`

  ### Methods

  `def to_dict(self)`
`class ImmichServerAbout (licensed: bool,
version_url: str,
version: str,
build_image_url: str | None = None,
build_image: str | None = None,
build_url: str | None = None,
build: str | None = None,
exiftool: str | None = None,
ffmpeg: str | None = None,
imagemagick: str | None = None,
libvips: str | None = None,
nodejs: str | None = None,
repository_url: str | None = None,
repository: str | None = None,
source_commit: str | None = None,
source_ref: str | None = None,
source_url: str | None = None)`
  Expand source code

      @dataclass
      class ImmichServerAbout(DataClassJSONMixin):
          """Representation of the immich server about information."""

          # non-default parameters
          licensed: bool
          version_url: str = field(metadata=field_options(alias="versionUrl"))
          version: str

          # default parameters
          build_image_url: str | None = field(
              metadata=field_options(alias="buildImageUrl"), default=None
          )
          build_image: str | None = field(
              metadata=field_options(alias="buildImage"), default=None
          )
          build_url: str | None = field(
              metadata=field_options(alias="buildUrl"), default=None
          )
          build: str | None = field(default=None)
          exiftool: str | None = field(default=None)
          ffmpeg: str | None = field(default=None)
          imagemagick: str | None = field(default=None)
          libvips: str | None = field(default=None)
          nodejs: str | None = field(default=None)
          repository_url: str | None = field(
              metadata=field_options(alias="repositoryUrl"), default=None
          )
          repository: str | None = field(default=None)
          source_commit: str | None = field(
              metadata=field_options(alias="sourceCommit"), default=None
          )
          source_ref: str | None = field(
              metadata=field_options(alias="sourceRef"), default=None
          )
          source_url: str | None = field(
              metadata=field_options(alias="sourceUrl"), default=None
          )

  Representation of the immich server about information.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var build : str | None`
  `var build_image : str | None`
  `var build_image_url : str | None`
  `var build_url : str | None`
  `var exiftool : str | None`
  `var ffmpeg : str | None`
  `var imagemagick : str | None`
  `var libvips : str | None`
  `var licensed : bool`
  `var nodejs : str | None`
  `var repository : str | None`
  `var repository_url : str | None`
  `var source_commit : str | None`
  `var source_ref : str | None`
  `var source_url : str | None`
  `var version : str`
  `var version_url : str`

  ### Methods

  `def to_dict(self)`
`class ImmichServerStatistics (photos: int,
usage_by_user: list[ByUserUsage],
usage_photos: int,
usage_videos: int,
usage: int,
videos: int)`
  Expand source code

      @dataclass
      class ImmichServerStatistics(DataClassJSONMixin):
          """Representation of the immich server usage statistics."""

          photos: int
          usage_by_user: list[ByUserUsage] = field(
              metadata=field_options(alias="usageByUser")
          )
          usage_photos: int = field(metadata=field_options(alias="usagePhotos"))
          usage_videos: int = field(metadata=field_options(alias="usageVideos"))
          usage: int
          videos: int

  Representation of the immich server usage statistics.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var photos : int`
  `var usage : int`
  `var usage_by_user : list[ByUserUsage]`
  `var usage_photos : int`
  `var usage_videos : int`
  `var videos : int`

  ### Methods

  `def to_dict(self)`
`class ImmichServerStorage (disk_available_raw: int,
disk_available: str,
disk_size_raw: int,
disk_size: str,
disk_usage_percentage: float,
disk_use_raw: int,
disk_use: str)`
  Expand source code

      @dataclass
      class ImmichServerStorage(DataClassJSONMixin):
          """Representation of the immich server storage information."""

          disk_available_raw: int = field(metadata=field_options(alias="diskAvailableRaw"))
          disk_available: str = field(metadata=field_options(alias="diskAvailable"))
          disk_size_raw: int = field(metadata=field_options(alias="diskSizeRaw"))
          disk_size: str = field(metadata=field_options(alias="diskSize"))
          disk_usage_percentage: float = field(
              metadata=field_options(alias="diskUsagePercentage")
          )
          disk_use_raw: int = field(metadata=field_options(alias="diskUseRaw"))
          disk_use: str = field(metadata=field_options(alias="diskUse"))

  Representation of the immich server storage information.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var disk_available : str`
  `var disk_available_raw : int`
  `var disk_size : str`
  `var disk_size_raw : int`
  `var disk_usage_percentage : float`
  `var disk_use : str`
  `var disk_use_raw : int`

  ### Methods

  `def to_dict(self)`
`class ImmichServerVersionCheck (checked_at: datetime | None, release_version: str | None)`
  Expand source code

      @dataclass
      class ImmichServerVersionCheck(DataClassJSONMixin):
          """Representation of the immich server version check result."""

          checked_at: datetime | None = field(metadata=field_options(alias="checkedAt"))
          release_version: str | None = field(metadata=field_options(alias="releaseVersion"))

  Representation of the immich server version check result.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var checked_at : datetime.datetime | None`
  `var release_version : str | None`

  ### Methods

  `def to_dict(self)`